Give hint to the current socketIO_client in ImportError of rcstream.py
Closed, DeclinedPublic

Description

Change the ImportError message to 'install it with pip install socketIO_client'
as soon as socket-io 1.0 is enabled

Related Objects

StatusAssignedTask
DeclinedXqt
DeclinedNone
DeclinedNone
ResolvedKrinkle
DeclinedKrinkle
ResolvedOttomata
DuplicatePchelolo
ResolvedPchelolo
ResolvedOttomata
ResolvedNuria
ResolvedOttomata
ResolvedOttomata
ResolvedOttomata
ResolvedOttomata
ResolvedOttomata
DeclinedOttomata
DeclinedOttomata
ResolvedOttomata
ResolvedOttomata
ResolvedOttomata
ResolvedHalfak
ResolvedJAllemandou
DeclinedNone
ResolvedOttomata
DeclinedOttomata
ResolvedOttomata
Resolvedmforns
ResolvedOttomata
ResolvedXqt
DuplicateNone
ResolvedCmjohnson
ResolvedXqt
ResolvedOttomata
OpenOttomata
ResolvedOttomata
ResolvedOttomata
ResolvedOttomata
ResolvedOttomata
OpenOttomata
DeclinedOttomata
ResolvedOttomata
ResolvedXqt
Xqt created this task.Jan 29 2016, 9:41 AM
Xqt updated the task description. (Show Details)
Xqt raised the priority of this task from to Lowest.
Xqt added projects: Pywikibot, goodfirstbug.
Xqt added a subscriber: Xqt.
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptJan 29 2016, 9:41 AM

Change 267442 had a related patch set uploaded (by MtDu):
Change import error message

https://gerrit.wikimedia.org/r/267442

Change 267442 abandoned by Xqt:
Change import error message

Reason:
Not an appropriate imlementation

https://gerrit.wikimedia.org/r/267442

Ricordisamoa set Security to None.
Ricordisamoa edited subscribers, added: Ricordisamoa; removed: gerritbot.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptSep 24 2016, 2:11 PM
Xqt closed this task as Declined.Feb 24 2017, 5:39 AM

This is obsolete if socket.io v1.0 never will used, see T68232